%{!?luaver: %global luaver %(lua -e "print(string.sub(_VERSION, 5))")}
%global lualibdir %{_libdir}/lua/%{luaver}
%global luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-posix
Version:        33.3.1
Release:        2
Summary:        A POSIX library for Lua
Group:          Development/Other
License:        Public Domain
URL:            http://luaforge.net/projects/luaposix/
Source0:        https://github.com/luaposix/luaposix/archive/release-v%{version}.tar.gz
BuildRequires:  lua-devel
BuildRequires:  ncurses-devel
BuildRequires:	lua-lunit
Requires:       lua >= 5.2

%description
This is a POSIX library for Lua which provides access to many POSIX features
to Lua programs.

%prep
%setup -q -n luaposix-release-v%{version}


%build
%configure2_5x --libdir=%{lualibdir} --datadir=/%{luapkgdir}
%make V=1


%install
%make_install

%ifarch x86_64
#Workaround install issue
mkdir -p %{buildroot}%{lualibdir}
mv %{buildroot}%{_prefix}/lib/lua/%{luaver}/* %{buildroot}%{lualibdir}
rm -frv %{buildroot}%{_prefix}/lib/lua
%endif

%check
%make V=1 check

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_defaultdocdir}/luaposix/
%{lualibdir}/*
%{luapkgdir}/*.lua
%{luapkgdir}/posix/

%changelog

* Fri Sep 23 2016 Denis Silakov <dsilakov@gmail.com> 33.3.1-2
- (3496310) Imported from SRPM


